Bug 523104 - Review Request: ghc-cgi - Haskell library for writing cgi
Review Request: ghc-cgi - Haskell library for writing cgi
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
http://hackage.haskell.org/package/cgi
:
Depends On: 523884
Blocks: haskell-platform
  Show dependency treegraph
 
Reported: 2009-09-14 03:23 EDT by Jens Petersen
Modified: 2010-10-05 09:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 03:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bos: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-09-14 03:23:02 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-cgi/ghc-cgi.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-cgi/ghc-cgi-3001.1.7.1-1.fc11.src.rpm
Description: Haskell library for writing CGI programs
Comment 1 Bryan O'Sullivan 2009-09-23 16:56:58 EDT
#  MUST: rpmlint must be run on every package. The output should be posted in
the review.

$ rpmlint ghc-cgi-3001.1.7.1-1.fc11.src.rpm 
ghc-cgi.src: W: strange-permission cgi-3001.1.7.1.tar.gz 0600
$ rpmlint ghc-cgi-prof-3001.1.7.1-1.fc11.i586.rpm
ghc-cgi-prof.i586: E: devel-dependency ghc-cgi-devel
ghc-cgi-prof.i586: W: no-documentation
ghc-cgi-prof.i586: W: devel-file-in-non-devel-package /usr/lib/ghc-6.10.3/cgi-3001.1.7.1/libHScgi-3001.1.7.1_p.a

The error is expected, and not a problem.

Other generated RPMs are fine.

# MUST: The package must be named according to the Package Naming Guidelines .

Yes.

# MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.

Yes.

# MUST: The package must meet the Packaging Guidelines .

Yes.

# MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines .

Yes.

# MUST: The License field in the package spec file must match the actual
license.

Yes.

# MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

Yes.

# MUST: The spec file must be written in American English.

Yes.

# MUST: The spec file for the package MUST be legible.

Yes.

# MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

Yes.

# MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.

Yes.

# MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.

N/A.

# MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

Yes.

# MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

N/A.

# MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.

N/A.

# MUST: Packages must NOT bundle copies of system libraries.

Yes.

# MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.

N/A.

# MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.

Yes.

# MUST: A Fedora package must not list a file more than once in the spec file's
%files listings.

Yes.

# MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

Yes.

# MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).

Yes.

# MUST: Each package must consistently use macros.

Yes.

# MUST: The package must contain code, or permissable content.

Yes.

# MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity).

Yes.

# MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.

Yes.

# MUST: Header files must be in a -devel package.

Yes.

# MUST: Static libraries must be in a -static package.

N/A.

# MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).

N/A.

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.

N/A.

# MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}

N/A.

# MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

Yes.

# MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.

N/A.

# MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.

Yes.

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).

Yes.

# MUST: All filenames in rpm packages must be valid UTF-8.

Yes.

This package is APPROVED.
Comment 2 Jens Petersen 2009-09-23 19:30:09 EDT
Thanks, bos, for continuing to push on haskell-platform for f12.
We're nearly there. :)

I'll fix the tarball permissions before importing.
Comment 3 Jens Petersen 2009-09-23 19:31:45 EDT
New Package CVS Request
=======================
Package Name: ghc-cgi
Short Description: Haskell library for writing CGI programs
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 4 Kevin Fenzi 2009-09-24 00:23:57 EDT
cvs done.
Comment 5 Jens Petersen 2009-09-24 03:37:59 EDT
Package imported and building
http://koji.fedoraproject.org/koji/taskinfo?taskID=1703007
Comment 6 Fedora Update System 2009-09-29 06:06:10 EDT
ghc-cgi-3001.1.7.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghc-cgi-3001.1.7.1-2.fc11
Comment 7 Fedora Update System 2009-09-29 21:36:33 EDT
ghc-cgi-3001.1.7.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jens Petersen 2010-10-05 00:26:21 EDT
Package Change Request
======================
Package Name: ghc-cgi
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 9 Jason Tibbitts 2010-10-05 09:23:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.